> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get mediavideohandled



## OpenAPI

````yaml /api-reference/oda-media-service-1.0.0.yml get /media/video/handled
openapi: 3.0.1
info:
  title: oda-media-service
  version: 1.0.0
servers: []
security: []
tags:
  - name: Available Media
    description: Search and retrieve available media from external providers
  - name: Video
    description: Video management operations
  - name: Playlist
    description: Playlist management operations
paths:
  /media/video/handled:
    get:
      tags:
        - Video
      operationId: listHandled
      parameters:
        - name: page
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/Pageable'
      responses:
        '200':
          description: List of user's handled videos
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoData'
        '401':
          description: Unauthorized - authentication required
components:
  schemas:
    Pageable:
      type: object
      allOf:
        - $ref: '#/components/schemas/Sort'
        - required:
            - size
            - sort
          type: object
          properties:
            number:
              type: integer
              format: int32
            size:
              type: integer
              format: int32
            mode:
              $ref: '#/components/schemas/Pageable.Mode'
            sort:
              $ref: '#/components/schemas/Sort'
    VideoData:
      required:
        - system
      type: object
      properties:
        id:
          type: string
          description: Unique video identifier
        originId:
          type: string
          description: Original video ID from provider
        provider:
          type: string
          description: Video provider (e.g., youtube)
        url:
          type: string
          description: Video URL
        title:
          type: string
          description: Video title
        thumbnail:
          type: string
          description: Video thumbnail URL
        status:
          type: string
          description: Video status
        owner:
          type: string
          description: Owner of the video
          nullable: true
        recipientId:
          type: string
          description: Recipient ID associated with this video
          nullable: true
        readyTimestamp:
          type: string
          description: Timestamp when video is ready
          format: date-time
          nullable: true
        paymentId:
          type: string
          description: Payment ID associated with this video
          nullable: true
        system:
          type: string
      description: Video data entity
    Sort:
      required:
        - orderBy
      type: object
      properties:
        orderBy:
          type: array
          items:
            $ref: '#/components/schemas/Sort.Order'
    Pageable.Mode:
      type: string
      enum:
        - CURSOR_NEXT
        - CURSOR_PREVIOUS
        - OFFSET
    Sort.Order:
      required:
        - direction
        - ignoreCase
        - property
      type: object
      properties:
        ignoreCase:
          type: boolean
        direction:
          $ref: '#/components/schemas/Sort.Order.Direction'
        property:
          type: string
        ascending:
          type: boolean
    Sort.Order.Direction:
      type: string
      enum:
        - ASC
        - DESC

````